# API Release - v4.2.0

> CarsXE plate decoder integration, case-insensitive build field search, deprecation response headers, UK vehicle_type and wheelbase_category search, UK FMV deprecation, and the old gateway sunset.

- **New features:** CarsXE Third-party Integration
- **Optimizations:** Case insensitive search, Deprecation warning in the API response, Search available on vehicle type and wheelbase category in UK Active Search, Cached Image API - Updated Caching Policy for UK
- **Other changes:** Deprecation Notice, UK FMV endpoint Deprecation, Sunset of Legacy Components, Old API Gateway Sunset
- **Bug fixes:** Vehicle Type (`vehicle_type`) Filter Not Working for UK Active



## New features



### 1. CarsXE Third-party Integration

**Description**

- A new API endpoint has been integrated to provide car-related data from a third-party service **CarsXE** using a vehicle registration or license plate number, enabling API clients to access vehicle information directly through our platform.

**Endpoints**

- **CarsXE Plate Decoder Endpoint -** `GET /v2/carsxe/plate-decoder/{plate}`

**Pricing**

- **CarsXE Plate Decoder Endpoint - $0.70** **per call**

**Terms and Conditions**

- To access the CarsXE endpoint, you must accept the Terms and Conditions under the Licensed 3rd Party APIs section in the API Subscriptions of the [Universe Dashboard](https://universe.marketcheck.com/api-subscriptions). These terms are part of the licensing agreement required for third-party access through our API platform.
- You can review and accept the Terms and Conditions [here](https://universe.marketcheck.com/api-subscriptions).

**Documentation**

- **API Documentation**
- [[ CarsXE API Documentation ]](https://apidocs.marketcheck.com/#70264627-490b-4e01-a00b-e3ccae515289)

**Example Requests**

- `https://mc-api.marketcheck.com/v2/carsxe/plate-decoder/7XER187?api_key={{api_key}}&state=CA`

---



## Optimizations



### 1. Case insensitive search

**Description**

- Case-insensitive search is now supported for the **build fields** in both US and UK, enhancing the Active and Recent Search API with more flexible search capabilities.

**Example Requests**

- `https://mc-api.marketcheck.com/v2/search/car/active?model=Trailblazer&facets=model&api_key={{api_key}}`



### 2. Deprecation warning in the API response

**Description**

- The response header now includes a flag to indicate whether the version or endpoint is deprecated. These flags are included in the response only if the endpoint or version accessed is deprecated.

**Key Headers**

- `deprecation`: The timestamp indicating when the endpoint was officially deprecated.
- `sunset`: The timestamp specifying when the endpoint will be retired.
- `link`: A URL directing to the deprecation section of the API documentation for further details.

**Response Headers**

`deprecation: Wed, 26 Mar 2025 00:00:00 GMT`

`sunset: Tue, 08 Jul 2025 00:00:00 GMT`

`link: <https://apidocs.marketcheck.com/#deprecation-policy-and-lifecycle>; rel="deprecation"; type="text/html", <https://apidocs.marketcheck.com/#deprecation-policy-and-lifecycle>; rel="sunset"; type="text/html"`

**Documentation**

- **API Documentation**
- [[ Deprecation Warning Documentation ]](https://apidocs.marketcheck.com/#deprecation-policy-and-lifecycle)



### 3. Search available on vehicle type and wheelbase category in UK Active Search

**Description**

- Enabled search and faceting capabilities for the `vehicle_type` and `wheelbase_category` fields.

**Documentation**

- **API Documentation**
- [[ UK Active Search Documentation ]](https://apidocs.marketcheck.uk/#6390ccba-af8a-441c-b7b8-7032e2032a2e)

**Example Requests**

- `https://mc-api.marketcheck.com/v2/search/car/uk/active?vehicle_type=Car&facets=vehicle_type&api_key={{api_key}}`



### 4. Cached Image API - Updated Caching Policy for UK

**Description**

- The Image Caching policy for UK Cached images has been changed from public to private.

**Documentation**

- **API Documentation**
- [[ Cached Image API Documentation ]](https://apidocs.marketcheck.uk/#2d51337b-0a7d-4951-9659-9daa85f7e39e)

**Example API Call:**

- `https://mc-api.marketcheck.com/v2/image/cache/car/1081890ba760d0567b18315c8a50467b/ce30264c5bd768dd74e4877237828d60?api_key={{api_key}}`



## Other changes



## Deprecation Notice



### 1. UK FMV endpoint Deprecation

**Description**

- A deprecation warning has been added in the response headers for the UK FMV endpoint.
- `deprecation: Wed, 26 Mar 2025 00:00:00 GMT`
- `sunset: Tue, 08 Jul 2025 00:00:00 GMT`

**Client Impact**

- Clients will receive a deprecation warning in response headers when using the UK FMV endpoint, starting from Wed, 26 Mar 2025.
- The UK FMV endpoint will be fully deprecated and unavailable after Tue, 08 Jul 2025, prompting clients to migrate to an alternative solution before the sunset date.



## Sunset of Legacy Components



### 1. Old API Gateway Sunset

**Description**

- The old API gateway host [https://marketcheck-prod.apigee.net](https://marketcheck-prod.apigee.net/) has been sunset.



## Bug fixes



### 1. Vehicle Type (`vehicle_type`) Filter Not Working for UK Active

**Description**

- The issue with the Vehicle Type (vehicle_type) filter not functioning correctly for UK Active data has been resolved.

**Example API Call**

- `https://mc-api.marketcheck.com/v2/search/car/uk/active?vehicle_type=Car&facets=vehicle_type&api_key={{api_key}}`
